/*
 *
 * FONTS
 *
 */

/* titillium-web-regular - latin */
@font-face {
  font-family: 'Titillium Web';
  font-style: normal;
  font-weight: 400;
  src: local('Titillium Web Regular'), local('TitilliumWeb-Regular'),
       url('../fonts/titillium-web-v8-latin-regular.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
       url('../fonts/titillium-web-v8-latin-regular.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
  font-display: auto;
}


/* Fonts */
:root { 
  --enzian-font-primary: 'Titillium Web';
}

body {
  font-family: var(--enzian-font-primary);
  line-height: 1.5;
}

/*
 *
 * FONT SIZE/SPACING
 *
 */

/* Responsive font sizes */
/* See https://codyhouse.co/blog/post/css-custom-properties-vs-sass-variables */

:root {
  // body font size
  --text-base-size: 1em;
  
  // type scale
  --text-scale-ratio: 1.1;
  --text-xs: calc((1em / var(--text-scale-ratio)) / var(--text-scale-ratio));
  --text-sm: calc(var(--text-xs) * var(--text-scale-ratio)); /* smaller --text-base-size */
  --text-md: calc(var(--text-sm) * var(--text-scale-ratio) * var(--text-scale-ratio)); /* bigger --text-base-size */
  --text-lg: calc(var(--text-md) * var(--text-scale-ratio));
  --text-xl: calc(var(--text-lg) * var(--text-scale-ratio));
  --text-xxl: calc(var(--text-xl) * var(--text-scale-ratio));
  --text-xxxl: calc(var(--text-xxl) * var(--text-scale-ratio));
}

/* Spacing not only relates to typography ! */

:root {
  --space-unit:  .6em;
  --space-xxxxs: calc(0.125 * var(--space-unit)); 
  --space-xxxs:  calc(0.25 * var(--space-unit));
  --space-xxs:   calc(0.375 * var(--space-unit));
  --space-xs:    calc(0.5 * var(--space-unit));
  --space-sm:    calc(0.75 * var(--space-unit)); /* smaller than space-unit .6 */
  --space-md:    calc(1.25 * var(--space-unit)); /* bigger than space-unit .6 */
  --space-lg:    calc(2 * var(--space-unit));
  --space-xl:    calc(3.25 * var(--space-unit));
  --space-xxl:   calc(5.25 * var(--space-unit));
  --space-xxxl:  calc(8.5 * var(--space-unit));
  --space-xxxxl: calc(13.75 * var(--space-unit));
}

@media screen and (min-width: $tablet) {
  :root {
    --text-base-sizes: 1.05em;
    --text-scale-ratio: 1.15;
    --space-unit:  0.8em;
  }
}

@media screen and (min-width: $desktop) {
  :root {
    --text-base-size: 1.08em;
    --text-scale-ratio: 1.1;
    --space-unit:  1em;
  }
}

@media screen and (min-width: $fullhd) {
  :root {
    --text-base-size: 1.2em;
    --text-scale-ratio: 1.15;
    --space-unit: 1.1em;
  }
}

/*
 *
 * HEADINGS
 *
 */

.title {
  text-align: center;
}

h1, .title {
  font-weight: 600;
  margin: 0 0 var(--space-xxs);
  font-size: var(--text-xxxl);
  color: var(--enzian--color-primary);
}

h2, .h2 {
  font-weight: 600;
  margin-top: var(--space-xxs);
  font-size: var(--text-xl);
  color: var(--enzian--color-primary);
}
h3, .h3 {
  font-weight: 600;
  margin-top: var(--space-xxs);
  font-size: var(--text-lg);
  color: var(--enzian--color-primary);
}

h4, .h4 {
  margin-bottom: 5px;
  margin-top: var(--space-xxs);
  font-size: var(--text-lg);
  color: var(--enzian--color-primary);
}

h5, h6, .h5 {
  margin-bottom: 5px;
  margin-top: 0;
  font-size: var(--text-md);
  color: var(--enzian--color-primary);
}

/* Recreate bulma heading styles (delete later from enzian ?!) */
.h4c-content {
  h2:not(:first-child),h3:not(:first-child),h4:not(:first-child),h5:not(:first-child),h6:not(:first-child) {
    margin-top: var(--space-sm);
  }
}
.h4c-content {
  h2,h3,h4,h5,h6 {
    margin-bottom: var(--space-xs);
  }
}